# Danh sách dịch vụ gọi ra

## Danh sách dịch vụ gọi ra

<mark style="color:green;">`GET`</mark> `/{domain/api/v1/service/callouts`

Toàn bộ các dịch vụ gọi ra được tích hợp trên CareSoft bao gồm cả Zalo ZCC  và các đầu số dịch vụ thoại thông thường.&#x20;

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "code": "ok",
  "data": [
    {
      "callout_id": 2006581,
      "description": "098****112",
      "service_type": 1,
      "callout_type": 0,
      "page_id": null
    },
    {
      "callout_id": 2006582,
      "description": "Vinaphone- 091****222",
      "service_type": 2,
      "callout_type": 3,
      "page_id": null
    },
    {
      "callout_id": 2006824,
      "description": "ZCC Casper",
      "service_type": 1,
      "callout_type": 1,
      "page_id": "2976478350661937291"
    }
  ]
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

**Mô tả dữ liệu**

| Param         | Ý nghĩa                                                 | Ghi chú                                                     |
| ------------- | ------------------------------------------------------- | ----------------------------------------------------------- |
| callout\_id   | ID đầu số gọi ra                                        |                                                             |
| description   | Tên đầu số (Số Hotline hoặc tên Zalo OA gọi ZCC)        |                                                             |
| service\_type | Kiểu dữ liệu khi phát sinh                              | <p>1: Ticket<br>2: Lead<br>3: Deal </p>                     |
| callout\_type | Loại đầu số                                             | <p>0: Đầu số thường<br>1: Đầu số gọi ra Zalo<br>3: Nhóm</p> |
| page\_id      | ID của OA zalo trong trường hợp đầu số là loại Zalo ZCC |                                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.caresoft.vn/danh-muc/tich-hop-thoai/danh-sach-dich-vu-goi-ra.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
